#ifndef __services__anilist_h
#define __services__anilist_h

#include "core/anime.h"
#include "core/json.h"
#include <curl/curl.h>

namespace Services::AniList {

bool AuthorizeUser();

/* Read queries */
int GetAnimeList();

/* Write queries (mutations) */
int UpdateAnimeEntry(int id);

}; // namespace Services::AniList

#endif // __services__anilist_h
